/*
Theme Name: Full Moon Blossom
Theme URI: https://fullmoonblossom.com/
Description: Full Moon Blossom Boutique
Author: Digital Mycelium
Author URI: https://digitalmycelium.com/
Template: Divi
Version: 0.1
*/



/*------------------------------------------------*/
/*-------------------[GENERAL]--------------------*/
/*------------------------------------------------*/


/*------------------------------------------------*/
/*-----------------[HEADER-MENU]------------------*/
/*------------------------------------------------*/



/*------------------------------------------------*/
/*--------------------[FORMS]---------------------*/
/*------------------------------------------------*/


/*------------------------------------------------*/
/*---------------[AFFILIATE PORTAL]---------------*/
/*------------------------------------------------*/




/*------------------------------------------------*/
/*---------------[AFFILIATE LOGIN]----------------*/
/*------------------------------------------------*/
.spinning-logo
{
    -webkit-animation:spin 28s linear infinite;
    -moz-animation:spin 28s linear infinite;
    animation:spin 28s linear infinite;
}

@-moz-keyframes spin { 100% { -moz-transform: rotate(360deg); } }
@-webkit-keyframes spin { 100% { -webkit-transform: rotate(360deg); } }
@keyframes spin { 100% { -webkit-transform: rotate(360deg); transform:rotate(360deg); }}








@media only screen and (max-width: 375px) {
#logo
    {
      max-width: 55% !important;
    }

    #et-top-navigation .et-cart-info
    {
      margin-left:20px !important;
    }
}
/*
@media only screen and (min-width: 390px) and (max-width: 767px)
{
  .et_mobile_device .et_header_style_left #logo
  {
    max-width: 50% !important;
  }
}
*/


/* Fixed Navigation Bar on mobile devices */
@media screen and (max-width: 980px) {



  .et_mobile_device #logo
  {
    max-width: 60% !important;
  }

  .container.et_menu_container
  {
    width:95% !important;
  }

  .woocommerce ul.order_details li
  {
    clear:left;
    margin-top:20px;
    text-align: left;
  }

    #main-header.et-fixed-header {
        position: fixed;
    }

    .logged-in #main-header.et-fixed-header {
        top: 0 !important;
	transition: all .3s 0s;
    }
}





/*
 img {
 pointer-events: none !important;
 }
*/

/* vmodha Modile Hamburger Color */
span.mobile_menu_bar:before, .et-cart-info span::before{
  color:#d7b46a;
}

/**** MOBILE MENU ****/
/* vmodha Full Screen Mobile Menu design and animations */
 #mobile_menu,  .opened #mobile_menu {
	position: fixed;
	display: flex;
	flex-direction: column;
	justify-content: center;
	min-height: 100vh;
	max-height: 100vh;
	z-index: 10;
	top: 0;
	border: none;
	overflow-y: auto;
	max-width: 100%;
	float: left;
	transition: all cubic-bezier(0.5, 0, 0, 1) 800ms !important;
	background: linear-gradient(rgba(0,0,0,0.5),rgba(0,0,0,0.5)),url( 'https://fullmoonblossom.com/wp-content/uploads/2023/09/mobile-background-scaled.jpg' );
	background-size: cover;
	background-repeat: no-repeat;
}

.opened #mobile_menu {
	transform: none;
}
.opened #mobile_menu a {
	transform: none;
	opacity: 1;
}
.opened #mobile_menu .menu-item:nth-child(1) a, .closed #mobile_menu .menu-item:nth-last-child(1) a {
	transition-delay: 100ms;
}

.opened #mobile_menu .menu-item:nth-child(2) a, .closed #mobile_menu .menu-item:nth-last-child(2) a {
	transition-delay: 200ms;
}

.opened #mobile_menu .menu-item:nth-child(3) a, .closed #mobile_menu .menu-item:nth-last-child(3) a {
	transition-delay: 300ms;
}

.opened #mobile_menu .menu-item:nth-child(4) a, .closed #mobile_menu .menu-item:nth-last-child(4) a {
	transition-delay: 400ms;
}

.opened #mobile_menu .menu-item:nth-child(5) a, .closed #mobile_menu .menu-item:nth-last-child(5) a {
	transition-delay: 500ms;
}

.opened #mobile_menu .menu-item:nth-child(6) a, .closed #mobile_menu .menu-item:nth-last-child(6) a {
	transition-delay: 600ms;
}
.mobile_nav.opened .mobile_menu_bar:before {
 content: '\4d';
	color: #fff;
	transition: all ease-in-out 300ms;
        z-index: 100;
}
.mobile_nav.closed .mobile_menu_bar:before {
	transition: all ease-in-out 300ms;
}


/* Menu links animations */

/* ANIMATION 1 */
#mobile_menu a {
	transform: translatex(-90px);
	opacity: 0;
	transition: all cubic-bezier(0.5, 0, 0, 1) 800ms;
	text-align: left;
}
/* Menu container animations */
.closed #mobile_menu {
	opacity: 0;
	pointer-events: none;
	transform: scale(1.2);
	transition-delay: 600ms;
}



/* BEGIN Vishi Skype Edit */
@keyframes slide-in-out {
0% {
transform: translateX(-90px);
opacity: 0;
}
100% {
transform: translateX(0);
opacity: 1;
}
}

#mobile_menu a {
transform: translatex(-90px);
opacity: 0;
/* Add this line */
animation: slide-in-out 0.8s cubic-bezier(0.5, 0, 0, 1);
}

.opened #mobile_menu a {
transform: translatex(0);
opacity: 1;
}

.closed #mobile_menu a {
/* Add this line */
animation-direction: reverse;
}
/* END Vishi Skype Edit */

/* ANIMATION 2
#mobile_menu a {
	transform: none;
	opacity: 0;
	transition: all cubic-bezier(0.5, 0, 0, 1) 800ms;
}

.closed #mobile_menu {
	opacity: 0;
	pointer-events: none;
	transform: none;
	transition-delay: 600ms;
}
*/

/*------------------------------------------------*/
/*------------------[HOMEPAGE]--------------------*/
/*------------------------------------------------*/


/*------------------------------------------------*/
/*------------------[SUBPAGES]--------------------*/
/*------------------------------------------------*/


/*------------------------------------------------*/
/*-------------------[Footer]---------------------*/
/*------------------------------------------------*/


/*------------------------------------------------*/
/*--------------------[RWD]-----------------------*/
/*------------------------------------------------*/


/*------------------------------------------------*/
/*------------------------------------------------*/
/*------------------------------------------------*/
/*--[ADD TUTORIAL CUSTOMIZATION BELOW THIS LINE]--*/
/*------------------------------------------------*/
/*------------------------------------------------*/
/*------------------------------------------------*/


/* Define a CSS grid layout for the module */
.et_pb_wc_product .et_pb_module_inner {
display: grid;
grid-template-columns: repeat(4, 1fr);
grid-gap: 20px;
}

/* Make each product item span one grid column */
.et_pb_wc_product .et_pb_shop_item {
grid-column: span 1;
}

/* On tablet devices, make each product item span two grid columns */
@media (max-width: 980px) {
.et_pb_wc_product .et_pb_shop_item {
grid-column: span 2;
}
}

/* On desktop devices, make each product item span three grid columns */
@media (min-width: 981px) {
.et_pb_wc_product .et_pb_shop_item {
grid-column: span 3;
}
}



#top-menu li.current-menu-item > a
{
  color: #d7b46a !important;
}

.woocommerce .woocommerce-error
{
  background: #e02b20 !important;
  color: #fff !important;
}

.empty-cart .proceed-checkout
{
  display: none !important;
}


.empty-cart .return-to-shop
{
  margin-bottom:30px !important;
  text-align: center;
}


.woocommerce-thankyou-order-received
{
  text-align: center;
  font-size: 20px;
  padding: 20px 0 !important;

}



@media (max-width: 980px)
{
  .woocommerce ul.order_details
  {
    font-size:16px;
  }

  .woocommerce-order-received .woocommerce-order p:not(.woocommerce-notice)
  {
      display: none !important;
  }



  .woocommerce-order-received .woocommerce-order-details
  {
    margin-top: 2em;
  }

  .et_pb_wc_checkout_payment_info #customer_details, .et_pb_wc_checkout_payment_info .wcpay-payment-request-wrapper
  {
      display: none !important;
  }

  .et_pb_wc_checkout_payment_info form .form-row
  {
    margin-top:0px;
  }

  /*
  .et_pb_wc_checkout_payment_info_0_tb_body .woocommerce-order
  {


  }
  */

  .et-db #et-boc .et-l .et_pb_wc_related_products ul.products.columns-1 li.product.et_pb_post
  {
      width: 100% !important;
      margin-right: 0% !important;
  }




  .empty-cart .cart-contents
  {
    display: none !important;
  }


  .woocommerce #payment #place_order, .woocommerce-page #payment #place_order
  {
    margin-top: 15px;
  }

  .cart-count-total
  {
    margin-top:3px !important;
    margin-right:15px;
    color:#d7b46a !important;
  }
  .cart-count-total #cart-value
  {
    display: none;
  }
}



.et_pb_wc_related_products .attachment-woocommerce_thumbnail
{
    max-width: 300px !important;
    display: revert !important;
}

.et_pb_wc_related_products .related.products h2
{
  text-transform: capitalize !important;
}

.et-db #et-boc .et-l .et_pb_wc_related_products ul.products li.product
{
  /* margin-bottom: 0px !important; */
}



#payment ul.wc_payment_methods li
{
  padding: 0px !important;
  padding-bottom:30px !important;
}

/*
#payment .wc_payment_method.payment_method_woocommerce_payments,
{
  padding: 0px !important;
}
*/

#payment div.payment_box
{
  margin: 0px !important;
  padding: 0px !important;
}

.woocommerce-checkout #payment
{
  padding: 5px !important;
}

.et_pb_wc_checkout_order_details_0_tb_body #order_review_heading
{
  padding-left:11px !important;
}

#wc-woocommerce_payments-cc-form
{
  padding: 0px !important;
}

#wcpay-card-element
{
  padding: 13px 7px !important;
}

.woocommerce-checkout #payment div.payment_box
{

}




/* Change the color and size of the cart count and total */
.cart-count-total {
  margin-top: -3px;
  vertical-align: middle;
  display: block;
  float: left;
  color:#d7b46a !important;
}


.et_header_style_left .logo_container
{
  width:auto;
}


.woocommerce-SavedPaymentMethods-saveNew
{
  letter-spacing: inherit !important;
}

#payment ul.payment_methods li input
{
  margin-right:5px !important;
}


.woocommerce-order-received .order-progress-bar, .woocommerce-order-received .page-title
{
  display: none;
}

@media (min-width: 981px) {


  .woocommerce-thankyou-order-received
  {
    padding-bottom: 40px !important;

  }

  /*
  .woocommerce ul.order_details li
  {
    width:22%;
  }
  */

  .woocommerce-order-received .et_pb_gutters2 .et_pb_column_1_2, .woocommerce-order-received .et_pb_gutters2.et_pb_row .et_pb_column_1_2 {
    width: auto;
    margin: 0 auto;
    margin-right: auto !important ;
    margin-bottom:50px;
  }

  .woocommerce-order-received .et_pb_gutters2 .et_pb_colum.et_pb_column_empty, .woocommerce-order-received .et_pb_gutters2.et_pb_row .et_pb_column.et_pb_column_empty {
   margin: 0px !important;
   display: none !important;
 }
}



/*vmodha: hide weird OR seperator fields on mobile */
.et_pb_wc_checkout_shipping #wcpay-payment-request-button-separator,
.et_pb_wc_checkout_order_details #wcpay-payment-request-button-separator,
.et_pb_wc_checkout_additional_info #wcpay-payment-request-button-separator,
.et_pb_wc_checkout_payment_info #wcpay-payment-request-button-separator
{
display: none !important;
}

.et_pb_wc_checkout_billing_0_tb_body #wcpay-payment-request-button-separator
{
  padding-bottom:20px;
}
